FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202008311640.p0 BUILD_VERSION=v4.3.35 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=35 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.35-202008311640.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=23037ad OS_GIT_VERSION=4.3.35-202008311640.p0-23037ad SOURCE_DATE_EPOCH=1571238327 SOURCE_GIT_COMMIT=23037ad16c0aafd7186431c93ebca3f0d426a08d SOURCE_GIT_TAG=23037ad SOURCE_GIT_URL=https://github.com/openshift/must-gather 
WORKDIR /go/src/github.com/openshift/must-gather
COPY . .
ENV GO_PACKAGE github.com/openshift/must-gather

FROM openshift/ose-cli:v4.3.35.20200831.164005
ENV __doozer=update BUILD_RELEASE=202008311640.p0 BUILD_VERSION=v4.3.35 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=35 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.35-202008311640.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=23037ad OS_GIT_VERSION=4.3.35-202008311640.p0-23037ad SOURCE_DATE_EPOCH=1571238327 SOURCE_GIT_COMMIT=23037ad16c0aafd7186431c93ebca3f0d426a08d SOURCE_GIT_TAG=23037ad SOURCE_GIT_URL=https://github.com/openshift/must-gather 
COPY --from=builder /go/src/github.com/openshift/must-gather/collection-scripts/* /usr/bin/

LABEL \
        name="openshift/ose-must-gather" \
        com.redhat.component="ose-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202008311640.p0" \
        io.openshift.build.commit.id="23037ad16c0aafd7186431c93ebca3f0d426a08d" \
        io.openshift.build.source-location="https://github.com/openshift/must-gather" \
        io.openshift.build.commit.url="https://github.com/openshift/must-gather/commit/23037ad16c0aafd7186431c93ebca3f0d426a08d" \
        version="v4.3.35"

